> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Report transaction outcome



## OpenAPI

````yaml openapi/transactions.yaml post /transactions/report
openapi: 3.0.3
info:
  title: TXCloud TransactionGuard API
  version: 1.0.0
  description: |
    Real-time transaction risk scoring to prevent payment fraud.
    Analyzes transaction patterns, user behavior, and recipient risk.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Scoring
    description: Real-time transaction scoring
  - name: Transactions
    description: Transaction management
  - name: Users
    description: User risk profiles
  - name: Recipients
    description: Recipient/merchant intelligence
  - name: Rules
    description: Transaction rules
  - name: Analytics
    description: Transaction analytics
paths:
  /transactions/report:
    post:
      tags:
        - Scoring
      summary: Report transaction outcome
      operationId: reportOutcome
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionReport'
      responses:
        '200':
          description: Outcome recorded
components:
  schemas:
    TransactionReport:
      type: object
      required:
        - score_id
        - outcome
      properties:
        score_id:
          type: string
        transaction_id:
          type: string
        outcome:
          type: string
          enum:
            - completed
            - cancelled
            - declined
            - reversed
            - fraud_confirmed
            - disputed
        fraud_reported:
          type: boolean
        notes:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````